Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class AmountAndDirection35

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.AmountAndDirection35

    public class AmountAndDirection35
    extends java.lang.Object

Java class for AmountAndDirection35 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountAndDirection35">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}NonNegativeDecimalNumber"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CreditDebitCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.math.BigDecimal` `amt`
`protected CreditDebitCode` `cdtDbtInd`

### Constructor Summary

Constructors
`AmountAndDirection35()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `getAmt()` Gets the value of the amt property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`void` `setAmt​(java.math.BigDecimal value)` Sets the value of the amt property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### amt

    protected java.math.BigDecimal amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

### Constructor Detail

#### AmountAndDirection35

    public AmountAndDirection35()

### Method Detail

#### getAmt

    public java.math.BigDecimal getAmt()

Gets the value of the amt property.

Returns:
  possible object is `BigDecimal`

#### setAmt

    public void setAmt​(java.math.BigDecimal value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`